package com.bonus.material.countersign.mapper;

import com.bonus.material.countersign.domain.SignConfigVo;
import com.bonus.material.warehouse.domain.WhHouseInfo;

import java.util.List;

/**
 * 会签配置管理Mapper接口
 * 
 * @author hongchao
 * @date 2025-01-16
 */
public interface SignConfigMapper
{

    /**
     * 查询会签配置管理列表
     * 
     * @param signConfigVo 会签配置管理
     * @return 会签配置管理集合
     */
    List<SignConfigVo> getList(SignConfigVo signConfigVo);

    /**
     * 新增时查询是否流程id和会签类型重复
     *
     * @param signConfigVo 会签配置管理
     * @return 会签配置管理
     */
    int selectConfigRepeat(SignConfigVo signConfigVo);

    /**
     * 新增会签配置管理
     *
     * @param signConfigVo 会签配置管理
     * @return 结果
     */
    int insertConfigInfo(SignConfigVo signConfigVo);

    /**
     * 查询会签配置管理详情
     *
     * @param id 主键
     * @return 会签配置管理
     */
    SignConfigVo selectConfigInfoById(Long id);

    /**
     * 修改时查询是否流程id和会签类型重复
     *
     * @param signConfigVo 会签配置管理
     * @return 会签配置管理
     */
    int selectConfigRepeatEdit(SignConfigVo signConfigVo);

    /**
     * 编辑会签配置管理
     *
     * @param signConfigVo 会签配置管理
     * @return 结果
     */
    int updateConfigInfo(SignConfigVo signConfigVo);


    /**
     * 删除会签配置管理
     *
     * @param id 主键
     * @return 结果
     */
    int delConfig(Long id);

}
